
// Copyright 2012 Google Inc. All rights reserved.
(function(){

var data = {
"resource": {
  "version":"1",
  "macros":[],
  "tags":[],
  "predicates":[],
  "rules":[]
},
"runtime":[
[],[]
]



};
var aa,ba=this||self,ca=/^[\w+/_-]+[=]{0,2}$/,ea=null;var fa=function(){},ha=function(a){return"function"==typeof a},ia=function(a){return"string"==typeof a},ja=function(a){return"number"==typeof a&&!isNaN(a)},ka=function(a){return"[object Array]"==Object.prototype.toString.call(Object(a))},la=function(a,b){if(Array.prototype.indexOf){var c=a.indexOf(b);return"number"==typeof c?c:-1}for(var d=0;d<a.length;d++)if(a[d]===b)return d;return-1},ma=function(a,b){if(a&&ka(a))for(var c=0;c<a.length;c++)if(a[c]&&b(a[c]))return a[c]},na=function(a,b){if(!ja(a)||
!ja(b)||a>b)a=0,b=2147483647;return Math.floor(Math.random()*(b-a+1)+a)},qa=function(a,b){for(var c=new pa,d=0;d<a.length;d++)c.set(a[d],!0);for(var e=0;e<b.length;e++)if(c.get(b[e]))return!0;return!1},ra=function(a,b){for(var c in a)Object.prototype.hasOwnProperty.call(a,c)&&b(c,a[c])},sa=function(a){return Math.round(Number(a))||0},ta=function(a){return"false"==String(a).toLowerCase()?!1:!!a},ua=function(a){var b=[];if(ka(a))for(var c=0;c<a.length;c++)b.push(String(a[c]));return b},va=function(a){return a?
a.replace(/^\s+|\s+$/g,""):""},wa=function(){return(new Date).getTime()},pa=function(){this.prefix="gtm.";this.values={}};pa.prototype.set=function(a,b){this.values[this.prefix+a]=b};pa.prototype.get=function(a){return this.values[this.prefix+a]};pa.prototype.contains=function(a){return void 0!==this.get(a)};
var xa=function(a,b,c){return a&&a.hasOwnProperty(b)?a[b]:c},ya=function(a){var b=!1;return function(){if(!b)try{a()}catch(c){}b=!0}},za=function(a,b){for(var c in b)b.hasOwnProperty(c)&&(a[c]=b[c])},Aa=function(a){for(var b in a)if(a.hasOwnProperty(b))return!0;return!1},Ca=function(a,b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]),c.push.apply(c,b[a[d]]||[]);return c};/*
 jQuery v1.9.1 (c) 2005, 2012 jQuery Foundation, Inc. jquery.org/license. */
var Da=/\[object (Boolean|Number|String|Function|Array|Date|RegExp)\]/,Ea=function(a){if(null==a)return String(a);var b=Da.exec(Object.prototype.toString.call(Object(a)));return b?b[1].toLowerCase():"object"},Fa=function(a,b){return Object.prototype.hasOwnProperty.call(Object(a),b)},Ga=function(a){if(!a||"object"!=Ea(a)||a.nodeType||a==a.window)return!1;try{if(a.constructor&&!Fa(a,"constructor")&&!Fa(a.constructor.prototype,"isPrototypeOf"))return!1}catch(c){return!1}for(var b in a);return void 0===
b||Fa(a,b)},Ha=function(a,b){var c=b||("array"==Ea(a)?[]:{}),d;for(d in a)if(Fa(a,d)){var e=a[d];"array"==Ea(e)?("array"!=Ea(c[d])&&(c[d]=[]),c[d]=Ha(e,c[d])):Ga(e)?(Ga(c[d])||(c[d]={}),c[d]=Ha(e,c[d])):c[d]=e}return c};var Ia={},Ka=function(a,b){Ia[a]=Ia[a]||[];Ia[a][b]=!0},La=function(a){for(var b=[],c=Ia[a]||[],d=0;d<c.length;d++)c[d]&&(b[Math.floor(d/6)]^=1<<d%6);for(var e=0;e<b.length;e++)b[e]="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789-_".charAt(b[e]||0);return b.join("")};var f=window,u=document,Ma=navigator,Na=u.currentScript&&u.currentScript.src,Oa=function(a,b){var c=f[a];f[a]=void 0===c?b:c;return f[a]},Pa=function(a,b){b&&(a.addEventListener?a.onload=b:a.onreadystatechange=function(){a.readyState in{loaded:1,complete:1}&&(a.onreadystatechange=null,b())})},Qa=function(a,b,c){var d=u.createElement("script");d.type="text/javascript";d.async=!0;d.src=a;Pa(d,b);c&&(d.onerror=c);var e;if(null===ea)b:{var g=ba.document,h=g.querySelector&&g.querySelector("script[nonce]");
if(h){var k=h.nonce||h.getAttribute("nonce");if(k&&ca.test(k)){ea=k;break b}}ea=""}e=ea;e&&d.setAttribute("nonce",e);var l=u.getElementsByTagName("script")[0]||u.body||u.head;l.parentNode.insertBefore(d,l);return d},Ra=function(){if(Na){var a=Na.toLowerCase();if(0===a.indexOf("https://"))return 2;if(0===a.indexOf("http://"))return 3}return 1},Sa=function(a,b){var c=u.createElement("iframe");c.height="0";c.width="0";c.style.display="none";c.style.visibility="hidden";var d=u.body&&u.body.lastChild||
u.body||u.head;d.parentNode.insertBefore(c,d);Pa(c,b);void 0!==a&&(c.src=a);return c},Ta=function(a,b,c){var d=new Image(1,1);d.onload=function(){d.onload=null;b&&b()};d.onerror=function(){d.onerror=null;c&&c()};d.src=a;return d},Ua=function(a,b,c,d){a.addEventListener?a.addEventListener(b,c,!!d):a.attachEvent&&a.attachEvent("on"+b,c)},Va=function(a,b,c){a.removeEventListener?a.removeEventListener(b,c,!1):a.detachEvent&&a.detachEvent("on"+b,c)},z=function(a){f.setTimeout(a,0)},Xa=function(a){var b=
u.getElementById(a);if(b&&Wa(b,"id")!=a){Ka("TAGGING",1);for(var c=1;c<document.all[a].length;c++)if(Wa(document.all[a][c],"id")==a)return document.all[a][c]}return b},Wa=function(a,b){return a&&b&&a.attributes&&a.attributes[b]?a.attributes[b].value:null},Za=function(a){var b=a.innerText||a.textContent||"";b&&" "!=b&&(b=b.replace(/^[\s\xa0]+|[\s\xa0]+$/g,""));b&&(b=b.replace(/(\xa0+|\s{2,}|\n|\r\t)/g," "));return b},$a=function(a){var b=u.createElement("div");b.innerHTML="A<div>"+a+"</div>";b=b.lastChild;
for(var c=[];b.firstChild;)c.push(b.removeChild(b.firstChild));return c},ab=function(a,b,c){c=c||100;for(var d={},e=0;e<b.length;e++)d[b[e]]=!0;for(var g=a,h=0;g&&h<=c;h++){if(d[String(g.tagName).toLowerCase()])return g;g=g.parentElement}return null};var bb=/^(?:(?:https?|mailto|ftp):|[^:/?#]*(?:[/?#]|$))/i;var cb=/:[0-9]+$/,db=function(a,b,c){for(var d=a.split("&"),e=0;e<d.length;e++){var g=d[e].split("=");if(decodeURIComponent(g[0]).replace(/\+/g," ")===b){var h=g.slice(1).join("=");return c?h:decodeURIComponent(h).replace(/\+/g," ")}}},gb=function(a,b,c,d,e){b&&(b=String(b).toLowerCase());if("protocol"===b||"port"===b)a.protocol=eb(a.protocol)||eb(f.location.protocol);"port"===b?a.port=String(Number(a.hostname?a.port:f.location.port)||("http"==a.protocol?80:"https"==a.protocol?443:"")):"host"===b&&
(a.hostname=(a.hostname||f.location.hostname).replace(cb,"").toLowerCase());var g=b,h,k=eb(a.protocol);g&&(g=String(g).toLowerCase());switch(g){case "url_no_fragment":h=fb(a);break;case "protocol":h=k;break;case "host":h=a.hostname.replace(cb,"").toLowerCase();if(c){var l=/^www\d*\./.exec(h);l&&l[0]&&(h=h.substr(l[0].length))}break;case "port":h=String(Number(a.port)||("http"==k?80:"https"==k?443:""));break;case "path":h="/"==a.pathname.substr(0,1)?a.pathname:"/"+a.pathname;var m=h.split("/");0<=
la(d||[],m[m.length-1])&&(m[m.length-1]="");h=m.join("/");break;case "query":h=a.search.replace("?","");e&&(h=db(h,e,void 0));break;case "extension":var n=a.pathname.split(".");h=1<n.length?n[n.length-1]:"";h=h.split("/")[0];break;case "fragment":h=a.hash.replace("#","");break;default:h=a&&a.href}return h},eb=function(a){return a?a.replace(":","").toLowerCase():""},fb=function(a){var b="";if(a&&a.href){var c=a.href.indexOf("#");b=0>c?a.href:a.href.substr(0,c)}return b},hb=function(a){var b=u.createElement("a");
a&&(b.href=a);var c=b.pathname;"/"!==c[0]&&(c="/"+c);var d=b.hostname.replace(cb,"");return{href:b.href,protocol:b.protocol,host:b.host,hostname:d,pathname:c,search:b.search,hash:b.hash,port:b.port}};var ib=function(a,b,c){for(var d=[],e=String(b||document.cookie).split(";"),g=0;g<e.length;g++){var h=e[g].split("="),k=h[0].replace(/^\s*|\s*$/g,"");if(k&&k==a){var l=h.slice(1).join("=").replace(/^\s*|\s*$/g,"");l&&c&&(l=decodeURIComponent(l));d.push(l)}}return d},lb=function(a,b,c,d){var e=jb(a,d);if(1===e.length)return e[0].id;if(0!==e.length){e=kb(e,function(g){return g.zb},b);if(1===e.length)return e[0].id;e=kb(e,function(g){return g.Sa},c);return e[0]?e[0].id:void 0}};
function mb(a,b,c){var d=document.cookie;document.cookie=a;var e=document.cookie;return d!=e||void 0!=c&&0<=ib(b,e).indexOf(c)}
var pb=function(a,b,c,d,e,g){d=d||"auto";var h={path:c||"/"};e&&(h.expires=e);"none"!==d&&(h.domain=d);var k;a:{var l=b,m;if(void 0==l)m=a+"=deleted; expires="+(new Date(0)).toUTCString();else{g&&(l=encodeURIComponent(l));var n=l;n&&1200<n.length&&(n=n.substring(0,1200));l=n;m=a+"="+l}var p=void 0,t=void 0,q;for(q in h)if(h.hasOwnProperty(q)){var r=h[q];if(null!=r)switch(q){case "secure":r&&(m+="; secure");break;case "domain":p=r;break;default:"path"==q&&(t=r),"expires"==q&&r instanceof Date&&(r=
r.toUTCString()),m+="; "+q+"="+r}}if("auto"===p){for(var w=nb(),v=0;v<w.length;++v){var y="none"!=w[v]?w[v]:void 0;if(!ob(y,t)&&mb(m+(y?"; domain="+y:""),a,l)){k=!0;break a}}k=!1}else p&&"none"!=p&&(m+="; domain="+p),k=!ob(p,t)&&mb(m,a,l)}return k};function kb(a,b,c){for(var d=[],e=[],g,h=0;h<a.length;h++){var k=a[h],l=b(k);l===c?d.push(k):void 0===g||l<g?(e=[k],g=l):l===g&&e.push(k)}return 0<d.length?d:e}
function jb(a,b){for(var c=[],d=ib(a),e=0;e<d.length;e++){var g=d[e].split("."),h=g.shift();if(!b||-1!==b.indexOf(h)){var k=g.shift();k&&(k=k.split("-"),c.push({id:g.join("."),zb:1*k[0]||1,Sa:1*k[1]||1}))}}return c}
var rb=/^(www\.)?google(\.com?)?(\.[a-z]{2})?$/,sb=/(^|\.)doubleclick\.net$/i,ob=function(a,b){return sb.test(document.location.hostname)||"/"===b&&rb.test(a)},nb=function(){var a=[],b=document.location.hostname.split(".");if(4===b.length){var c=b[b.length-1];if(parseInt(c,10).toString()===c)return["none"]}for(var d=b.length-2;0<=d;d--)a.push(b.slice(d).join("."));a.push("none");return a};var Pb=[],Qb=[],Rb=[],Sb=[],Tb=[],Ub={},Vb,Wb,Xb,Yb=function(a,b){var c={};c["function"]="__"+a;for(var d in b)b.hasOwnProperty(d)&&(c["vtp_"+d]=b[d]);return c},Zb=function(a,b){var c=a["function"];if(!c)throw Error("Error: No function name given for function call.");var d=!!Ub[c],e={},g;for(g in a)a.hasOwnProperty(g)&&0===g.indexOf("vtp_")&&(e[d?g:g.substr(4)]=a[g]);return d?Ub[c](e):(void 0)(c,e,b)},ac=function(a,b,c){c=c||[];var d={},e;for(e in a)a.hasOwnProperty(e)&&(d[e]=$b(a[e],b,c));return d},
bc=function(a){var b=a["function"];if(!b)throw"Error: No function name given for function call.";var c=Ub[b];return c?c.priorityOverride||0:0},$b=function(a,b,c){if(ka(a)){var d;switch(a[0]){case "function_id":return a[1];case "list":d=[];for(var e=1;e<a.length;e++)d.push($b(a[e],b,c));return d;case "macro":var g=a[1];if(c[g])return;var h=Pb[g];if(!h||b.sc(h))return;c[g]=!0;try{var k=ac(h,b,c);k.vtp_gtmEventId=b.id;d=Zb(k,b);Xb&&(d=Xb.lf(d,k))}catch(v){b.Md&&b.Md(v,Number(g)),d=!1}c[g]=!1;return d;
case "map":d={};for(var l=1;l<a.length;l+=2)d[$b(a[l],b,c)]=$b(a[l+1],b,c);return d;case "template":d=[];for(var m=!1,n=1;n<a.length;n++){var p=$b(a[n],b,c);Wb&&(m=m||p===Wb.ob);d.push(p)}return Wb&&m?Wb.qf(d):d.join("");case "escape":d=$b(a[1],b,c);if(Wb&&ka(a[1])&&"macro"===a[1][0]&&Wb.Rf(a))return Wb.$f(d);d=String(d);for(var t=2;t<a.length;t++)tb[a[t]]&&(d=tb[a[t]](d));return d;case "tag":var q=a[1];if(!Sb[q])throw Error("Unable to resolve tag reference "+q+".");return d={yd:a[2],index:q};case "zb":var r=
{arg0:a[2],arg1:a[3],ignore_case:a[5]};r["function"]=a[1];var w=cc(r,b,c);a[4]&&(w=!w);return w;default:throw Error("Attempting to expand unknown Value type: "+a[0]+".");}}return a},cc=function(a,b,c){try{return Vb(ac(a,b,c))}catch(d){JSON.stringify(a)}return null};var dc=function(){var a=function(b){return{toString:function(){return b}}};return{Wc:a("convert_case_to"),Xc:a("convert_false_to"),Yc:a("convert_null_to"),Zc:a("convert_true_to"),$c:a("convert_undefined_to"),qa:a("function"),Ce:a("instance_name"),De:a("live_only"),Ee:a("malware_disabled"),Fe:a("metadata"),Eg:a("original_vendor_template_id"),Ge:a("once_per_event"),od:a("once_per_load"),pd:a("setup_tags"),qd:a("tag_id"),rd:a("teardown_tags")}}();var ec=null,hc=function(a){function b(p){for(var t=0;t<p.length;t++)d[p[t]]=!0}var c=[],d=[];ec=fc(a);for(var e=0;e<Qb.length;e++){var g=Qb[e],h=gc(g);if(h){for(var k=g.add||[],l=0;l<k.length;l++)c[k[l]]=!0;b(g.block||[])}else null===h&&b(g.block||[])}for(var m=[],n=0;n<Sb.length;n++)c[n]&&!d[n]&&(m[n]=!0);return m},gc=function(a){for(var b=a["if"]||[],c=0;c<b.length;c++){var d=ec(b[c]);if(!d)return null===d?null:!1}for(var e=a.unless||[],g=0;g<e.length;g++){var h=ec(e[g]);if(null===h)return null;
if(h)return!1}return!0},fc=function(a){var b=[];return function(c){void 0===b[c]&&(b[c]=cc(Rb[c],a));return b[c]}};/*
 Copyright (c) 2014 Derek Brans, MIT license https://github.com/krux/postscribe/blob/master/LICENSE. Portions derived from simplehtmlparser, which is licensed under the Apache License, Version 2.0 */

var yc={},zc=null,Ac=Math.random();yc.m="UA-1905268-1";yc.sb="5f2";var Bc="www.googletagmanager.com/gtm.js";Bc="www.googletagmanager.com/gtag/js";var Cc=Bc,Dc=null,Ec=null,Fc=null,Gc="//www.googletagmanager.com/a?id="+yc.m+"&cv=1",Hc={},Ic={},Jc=function(){var a=zc.sequence||0;zc.sequence=a+1;return a};var D=function(a,b,c,d){return(2===Kc()||d||"http:"!=f.location.protocol?a:b)+c},Kc=function(){var a=Ra(),b;if(1===a)a:{var c=Cc;c=c.toLowerCase();for(var d="https://"+c,e="http://"+c,g=1,h=u.getElementsByTagName("script"),k=0;k<h.length&&100>k;k++){var l=h[k].src;if(l){l=l.toLowerCase();if(0===l.indexOf(e)){b=3;break a}1===g&&0===l.indexOf(d)&&(g=2)}}b=g}else b=a;return b};var Lc=!1;
var Mc=function(a,b,c,d){if(c){d=d||{};var e=f._googWcmImpl||function(){e.q=e.q||[];e.q.push(arguments)};f._googWcmImpl=e;void 0===f._googWcmAk&&(f._googWcmAk=a);Lc?d.ya&&z(d.ya):(Qa(D("https://","http://","www.gstatic.com/wcm/loader.js"),d.ya,d.Pd),Lc=!0);var g={ak:a,cl:b};void 0===d.be&&(g.autoreplace=c);e(2,d.be,g,c,0,new Date,d.zg)}};
var Pc=function(){return"&tc="+Sb.filter(function(a){return a}).length},Yc=function(){Qc&&(f.clearTimeout(Qc),Qc=void 0);void 0===Rc||Sc[Rc]&&!Tc||(Uc[Rc]||Vc.Tf()||0>=Wc--?(Ka("GTM",1),Uc[Rc]=!0):(Vc.ig(),Ta(Xc()),Sc[Rc]=!0,Tc=""))},Xc=function(){var a=Rc;if(void 0===a)return"";var b=La("GTM"),c=La("TAGGING");return[Zc,Sc[a]?"":"&es=1",$c[a],b?"&u="+b:"",c?"&ut="+c:"",Pc(),Tc,"&z=0"].join("")},ad=function(){return[Gc,"&v=3&t=t","&pid="+na(),"&rv="+yc.sb].join("")},bd="0.005000">
Math.random(),Zc=ad(),cd=function(){Zc=ad()},Sc={},Tc="",Rc=void 0,$c={},Uc={},Qc=void 0,Vc=function(a,b){var c=0,d=0;return{Tf:function(){if(c<a)return!1;wa()-d>=b&&(c=0);return c>=a},ig:function(){wa()-d>=b&&(c=0);c++;d=wa()}}}(2,1E3),Wc=1E3,dd=function(a,b){if(bd&&!Uc[a]&&Rc!==a){Yc();Rc=a;Tc="";var c;c=0===b.indexOf("gtm.")?encodeURIComponent(b):"*";$c[a]="&e="+c+"&eid="+a;Qc||(Qc=f.setTimeout(Yc,500))}},ed=function(a,b,c){if(bd&&!Uc[a]&&b){a!==Rc&&(Yc(),Rc=a);var d=c+String(b[dc.qa]||"").replace(/_/g,
"");Tc=Tc?Tc+"."+d:"&tr="+d;Qc||(Qc=f.setTimeout(Yc,500));2022<=Xc().length&&Yc()}};var fd={},gd=new pa,hd={},id={},md={name:"dataLayer",set:function(a,b){Ha(jd(a,b),hd);kd()},get:function(a){return ld(a,2)},reset:function(){gd=new pa;hd={};kd()}},ld=function(a,b){if(2!=b){var c=gd.get(a);if(bd){var d=nd(a);c!==d&&Ka("GTM",5)}return c}return nd(a)},nd=function(a,b,c){var d=a.split("."),e=!1,g=void 0;var h=function(k,l){for(var m=0;void 0!==k&&m<d.length;m++){if(null===k)return!1;k=k[d[m]]}return void 0!==k||1<m?k:l.length?h(od(l.pop()),l):pd(d)};
e=!0;g=h(hd.eventModel,[b,c]);return e?g:pd(d)},pd=function(a){for(var b=hd,c=0;c<a.length;c++){if(null===b)return!1;if(void 0===b)break;b=b[a[c]]}return b};
var qd=function(a,b){return nd(a,b,void 0)},od=function(a){if(a){var b=pd(["gtag","targets",a]);return Ga(b)?b:void 0}},rd=function(a,b){function c(g){g&&ra(g,function(h){d[h]=null})}var d={};c(hd);delete d.eventModel;c(od(a));c(od(b));c(hd.eventModel);var e=[];ra(d,function(g){e.push(g)});return e};
var sd=function(a,b){id.hasOwnProperty(a)||(gd.set(a,b),Ha(jd(a,b),hd),kd())},jd=function(a,b){for(var c={},d=c,e=a.split("."),g=0;g<e.length-1;g++)d=d[e[g]]={};d[e[e.length-1]]=b;return c},kd=function(a){ra(id,function(b,c){gd.set(b,c);Ha(jd(b,void 0),hd);Ha(jd(b,c),hd);a&&delete id[b]})},td=function(a,b,c){fd[a]=fd[a]||{};var d=1!==c?nd(b):gd.get(b);"array"===Ea(d)||"object"===Ea(d)?fd[a][b]=Ha(d):fd[a][b]=d},ud=function(a,b){if(fd[a])return fd[a][b]};var vd=new RegExp(/^(.*\.)?(google|youtube|blogger|withgoogle)(\.com?)?(\.[a-z]{2})?\.?$/),wd={cl:["ecl"],customPixels:["nonGooglePixels"],ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],customScripts:["html","customPixels","nonGooglePixels","nonGoogleScripts","nonGoogleIframes"],nonGooglePixels:[],nonGoogleScripts:["nonGooglePixels"],nonGoogleIframes:["nonGooglePixels"]},xd={cl:["ecl"],customPixels:["customScripts","html"],
ecl:["cl"],ehl:["hl"],hl:["ehl"],html:["customScripts"],customScripts:["html"],nonGooglePixels:["customPixels","customScripts","html","nonGoogleScripts","nonGoogleIframes"],nonGoogleScripts:["customScripts","html"],nonGoogleIframes:["customScripts","html","nonGoogleScripts"]},yd="google customPixels customScripts html nonGooglePixels nonGoogleScripts nonGoogleIframes".split(" ");
var Ad=function(a){var b=ld("gtm.whitelist");b&&Ka("GTM",9);b="google gtagfl lcl zone oid op".split(" ");var c=b&&Ca(ua(b),wd),d=ld("gtm.blacklist");d||(d=ld("tagTypeBlacklist"))&&Ka("GTM",3);
d?Ka("GTM",8):d=[];zd()&&(d=ua(d),d.push("nonGooglePixels","nonGoogleScripts"));0<=la(ua(d),"google")&&Ka("GTM",2);var e=d&&Ca(ua(d),xd),g={};return function(h){var k=h&&h[dc.qa];if(!k||"string"!=typeof k)return!0;k=k.replace(/^_*/,"");if(void 0!==g[k])return g[k];var l=Ic[k]||[],m=a(k);if(b){var n;if(n=m)a:{if(0>la(c,k))if(l&&0<l.length)for(var p=0;p<l.length;p++){if(0>
la(c,l[p])){Ka("GTM",11);n=!1;break a}}else{n=!1;break a}n=!0}m=n}var t=!1;if(d){var q=0<=la(e,k);if(q)t=q;else{var r=qa(e,l||[]);r&&Ka("GTM",10);t=r}}var w=!m||t;w||!(0<=la(l,"sandboxedScript"))||c&&-1!==la(c,"sandboxedScript")||(w=qa(e,yd));return g[k]=w}},zd=function(){return vd.test(f.location&&f.location.hostname)};var Bd={lf:function(a,b){b[dc.Wc]&&"string"===typeof a&&(a=1==b[dc.Wc]?a.toLowerCase():a.toUpperCase());b.hasOwnProperty(dc.Yc)&&null===a&&(a=b[dc.Yc]);b.hasOwnProperty(dc.$c)&&void 0===a&&(a=b[dc.$c]);b.hasOwnProperty(dc.Zc)&&!0===a&&(a=b[dc.Zc]);b.hasOwnProperty(dc.Xc)&&!1===a&&(a=b[dc.Xc]);return a}};var Cd={active:!0,isWhitelisted:function(){return!0}},Dd=function(a){var b=zc.zones;!b&&a&&(b=zc.zones=a());return b};var Ed=!1,Fd=0,Gd=[];function Hd(a){if(!Ed){var b=u.createEventObject,c="complete"==u.readyState,d="interactive"==u.readyState;if(!a||"readystatechange"!=a.type||c||!b&&d){Ed=!0;for(var e=0;e<Gd.length;e++)z(Gd[e])}Gd.push=function(){for(var g=0;g<arguments.length;g++)z(arguments[g]);return 0}}}function Id(){if(!Ed&&140>Fd){Fd++;try{u.documentElement.doScroll("left"),Hd()}catch(a){f.setTimeout(Id,50)}}}var Jd=function(a){Ed?a():Gd.push(a)};var Kd={},Ld={},Md=function(a,b,c){if(!Ld[a])return-1;var d={};Ga(c)&&(d=Ha(c,d));d.id=b;d.status="timeout";return Ld[a].tags.push(d)-1},Nd=function(a,b,c,d){if(Ld[a]){var e=Ld[a].tags[b];e&&(e.status=c,e.executionTime=d)}};function Od(a){for(var b=Kd[a]||[],c=0;c<b.length;c++)b[c]();Kd[a]={push:function(d){var e=!1;!e&&d(yc.m)}}}
var Rd=function(a,b,c){Ld[a]={tags:[]};ha(b)&&Pd(a,b);c&&f.setTimeout(function(){return Od(a)},Number(c));return Qd(a)},Pd=function(a,b){Kd[a]=Kd[a]||[];Kd[a].push(ya(function(){return z(function(){var c=!1;!c&&b(yc.m)})}))};function Qd(a){var b=0,c=0,d=!1;return{add:function(){c++;return ya(function(){b++;d&&b>=c&&Od(a)})},Ue:function(){d=!0;b>=c&&Od(a)}}};var Sd=function(){function a(d){return!ja(d)||0>d?0:d}if(!zc._li&&f.performance&&f.performance.timing){var b=f.performance.timing.navigationStart,c=ja(md.get("gtm.start"))?md.get("gtm.start"):0;zc._li={cst:a(c-b),cbt:a(Ec-b)}}};var Wd=!1,Xd=function(){return f.GoogleAnalyticsObject&&f[f.GoogleAnalyticsObject]},Yd=!1;
var Zd=function(a){f.GoogleAnalyticsObject||(f.GoogleAnalyticsObject=a||"ga");var b=f.GoogleAnalyticsObject;if(f[b])f.hasOwnProperty(b)||Ka("GTM",12);else{var c=function(){c.q=c.q||[];c.q.push(arguments)};c.l=Number(new Date);f[b]=c}Sd();return f[b]},$d=function(a,b,c,d){b=String(b).replace(/\s+/g,"").split(",");var e=Xd();e(a+"require","linker");e(a+"linker:autoLink",b,c,d)};
var be=function(){},ae=function(){return f.GoogleAnalyticsObject||"ga"},ce=!1;
var de=function(a,b,c){if(b){c=c||{};var d=f._gaPhoneImpl||function(){d.q=d.q||[];d.q.push(arguments)};f._gaPhoneImpl=d;void 0===f.ga_wpid&&(f.ga_wpid=a);ce?c.ya&&z(c.ya):(Qa(D("https://","http://","www.gstatic.com/gaphone/loader.js"),c.ya,c.Pd),ce=!0);var e={};void 0!==c.Bd?e.receiver=c.Bd:e.replace=b;e.ga_wpid=a;e.destination=b;d(2,new Date,e)}};var je=function(a){};function ie(a,b){a.containerId=yc.m;var c={type:"GENERIC",value:a};b.length&&(c.trace=b);return c};function ke(a,b,c,d){var e=Sb[a],g=le(a,b,c,d);if(!g)return null;var h=$b(e[dc.pd],c,[]);if(h&&h.length){var k=h[0];g=ke(k.index,{J:g,O:1===k.yd?b.terminate:g,terminate:b.terminate},c,d)}return g}
function le(a,b,c,d){function e(){if(g[dc.Ee])k();else{var v=ac(g,c,[]),y=Md(c.id,Number(g[dc.qd]),v[dc.Fe]),x=!1;v.vtp_gtmOnSuccess=function(){if(!x){x=!0;var C=wa()-B;ed(c.id,Sb[a],"5");Nd(c.id,y,"success",C);h()}};v.vtp_gtmOnFailure=function(){if(!x){x=!0;var C=wa()-B;ed(c.id,Sb[a],"6");Nd(c.id,y,"failure",C);k()}};v.vtp_gtmTagId=g.tag_id;v.vtp_gtmEventId=
c.id;ed(c.id,g,"1");var A=function(C){var E=wa()-B;je(C);ed(c.id,g,"7");Nd(c.id,y,"exception",E);x||(x=!0,k())};var B=wa();try{Zb(v,c)}catch(C){A(C)}}}
var g=Sb[a],h=b.J,k=b.O,l=b.terminate;if(c.sc(g))return null;var m=$b(g[dc.rd],c,[]);if(m&&m.length){var n=m[0],p=ke(n.index,{J:h,O:k,terminate:l},c,d);if(!p)return null;h=p;k=2===n.yd?l:p}if(g[dc.od]||g[dc.Ge]){var t=g[dc.od]?Tb:c.sg,q=h,r=k;if(!t[a]){e=ya(e);var w=me(a,t,e);h=w.J;k=w.O}return function(){t[a](q,r)}}return e}function me(a,b,c){var d=[],e=[];b[a]=ne(d,e,c);return{J:function(){b[a]=oe;for(var g=0;g<d.length;g++)d[g]()},O:function(){b[a]=pe;for(var g=0;g<e.length;g++)e[g]()}}}
function ne(a,b,c){return function(d,e){a.push(d);b.push(e);c()}}function oe(a){a()}function pe(a,b){b()};var se=function(a,b){for(var c=[],d=0;d<Sb.length;d++)if(a.Ra[d]){var e=Sb[d];var g=b.add();try{var h=ke(d,{J:g,O:g,terminate:g},a,d);h?c.push({$d:d,b:bc(e),yf:h}):(qe(d,a),g())}catch(l){g()}}b.Ue();c.sort(re);for(var k=0;k<c.length;k++)c[k].yf();return 0<c.length};function re(a,b){var c,d=b.b,e=a.b;c=d>e?1:d<e?-1:0;var g;if(0!==c)g=c;else{var h=a.$d,k=b.$d;g=h>k?1:h<k?-1:0}return g}
function qe(a,b){if(!bd)return;var c=function(d){var e=b.sc(Sb[d])?"3":"4",g=$b(Sb[d][dc.pd],b,[]);g&&g.length&&c(g[0].index);ed(b.id,Sb[d],e);var h=$b(Sb[d][dc.rd],b,[]);h&&h.length&&c(h[0].index)};c(a);}
var te=!1,ue=function(a,b,c,d,e){if("gtm.js"==b){if(te)return!1;te=!0}dd(a,b);var g=Rd(a,d,e);td(a,"event");td(a,"ecommerce",1);td(a,"gtm");var h={id:a,name:b,sc:Ad(c),Ra:[],sg:[],Md:function(p){Ka("GTM",6);je(p)}};h.Ra=hc(h);var k=se(h,g);"gtm.js"!==b&&"gtm.sync"!==b||be();if(!k)return k;for(var l={__cl:!0,__ecl:!0,__ehl:!0,__evl:!0,
__fsl:!0,__hl:!0,__jel:!0,__lcl:!0,__sdl:!0,__tl:!0,__ytl:!0},m=0;m<h.Ra.length;m++)if(h.Ra[m]){var n=Sb[m];if(n&&!l[n[dc.qa]])return!0}return!1};var ve=function(a,b){var c=Yb(a,b);Sb.push(c);return Sb.length-1};var G={Pb:"event_callback",Rb:"event_timeout"};
G.aa="gtag.config",G.Mb="page_view",G.ce="user_engagement",G.S="allow_ad_personalization_signals",G.de="allow_custom_scripts",G.ee="allow_display_features",G.fe="allow_enhanced_conversions",G.$a="client_id",G.N="cookie_domain",G.U="cookie_expires",G.ab="cookie_name",G.ma="cookie_path",G.ie="cookie_update",G.na="currency",G.cb="custom_params",G.ke="custom_map",G.Tb="groups",G.Ga="language",G.je="country",G.Dg="non_interaction",G.jb="page_location",G.kb="page_referrer",G.kd="page_title",G.Ia="send_page_view",
G.oa="send_to",G.lb="session_duration",G.Yb="session_engaged",G.mb="session_id",G.Zb="session_number",G.Ae="tracking_id",G.nb="user_properties",G.Ha="linker",G.gb="accept_incoming",G.H="domains",G.ib="url_position",G.hb="decorate_forms",G.Xb="phone_conversion_number",G.Vb="phone_conversion_callback",G.Wb="phone_conversion_css_class",G.ld="phone_conversion_options",G.ad="aw_remarketing",G.bd="aw_remarketing_only",G.ca="value",G.ye="quantity",G.oe="affiliation",G.te="tax",G.se="shipping",G.Ob="list_name",
G.jd="checkout_step",G.hd="checkout_option",G.pe="coupon",G.qe="promotions",G.Ja="transaction_id",G.ba="user_id",G.Fa="conversion_linker",G.Ea="conversion_cookie_prefix",G.F="cookie_prefix",G.T="items",G.Nb="aw_merchant_id",G.dd="aw_feed_country",G.ed="aw_feed_language",G.cd="discount",G.gd="disable_merchant_reported_purchases",G.Ub="new_customer",G.fd="customer_lifetime_value",G.ne="dc_natural_search",G.me="dc_custom_params",G.Be="trip_type",G.xe="passengers",G.ve="method",G.ze="search_term",G.he=
"content_type",G.we="optimize_id",G.ue="experiments",G.fb="google_signals",G.Sb="google_tld",G.eb="ga_restrict_domain",G.Qb="event_settings",G.md=[G.S,G.N,G.U,G.ab,G.ma,G.F,G.cb,G.Pb,G.Qb,G.Rb,G.eb,G.fb,G.Sb,G.Tb,G.oa,G.Ia,G.lb,G.ba,G.nb],G.Vc=[G.oa,G.ad,G.bd,G.cb,G.Ia,G.Ga,G.ca,G.na,G.Ja,G.ba,G.Fa,G.Ea,G.F,G.jb,G.kb,G.Xb,G.Vb,G.Wb,G.ld,G.T,G.Nb,G.dd,G.ed,G.cd,G.gd,G.Ub,G.fd,G.S];var we={};var xe=/[A-Z]+/,ye=/\s/,Ae=function(a){if(ia(a)&&(a=va(a),!ye.test(a))){var b=a.indexOf("-");if(!(0>b)){var c=a.substring(0,b);if(xe.test(c)){for(var d=a.substring(b+1).split("/"),e=0;e<d.length;e++)if(!d[e])return;return{id:a,prefix:c,containerId:c+"-"+d[0],da:d}}}}},Ce=function(a){for(var b={},c=0;c<a.length;++c){var d=Ae(a[c]);d&&(b[d.id]=d)}Be(b);var e=[];ra(b,function(g,h){e.push(h)});return e};
function Be(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];"AW"===d.prefix&&d.da[1]&&b.push(d.containerId)}for(var e=0;e<b.length;++e)delete a[b[e]]};var De=null,Ee={},Fe={},Ge,He=function(a,b){var c={event:a};b&&(c.eventModel=Ha(b),b[G.Pb]&&(c.eventCallback=b[G.Pb]),b[G.Rb]&&(c.eventTimeout=b[G.Rb]));return c};
var Ie=function(){De=De||!zc.gtagRegistered;zc.gtagRegistered=!0;return De},Je=function(a){if(void 0===Fe[a.id]){var b;switch(a.prefix){case "UA":b=ve("gtagua",{trackingId:a.id});break;case "AW":b=ve("gtagaw",{conversionId:a});break;case "DC":b=ve("gtagfl",{targetId:a.id});break;case "GF":b=ve("gtaggf",{conversionId:a});break;case "G":b=ve("get",{trackingId:a.id,isAutoTag:!0});break;case "HA":b=ve("gtagha",{conversionId:a});break;default:return}if(!Ge){var c=Yb("v",{name:"send_to",dataLayerVersion:2});
Pb.push(c);Ge=["macro",Pb.length-1]}var d={arg0:Ge,arg1:a.id,ignore_case:!1};d[dc.qa]="_lc";Rb.push(d);var e={"if":[Rb.length-1],add:[b]};e["if"]&&(e.add||e.block)&&Qb.push(e);Fe[a.id]=b}},Ke=function(a){ra(Ee,function(b,c){var d=la(c,a);0<=d&&c.splice(d,1)})},Le=ya(function(){});
var Me={config:function(a){var b=a[2]||{};if(2>a.length||!ia(a[1])||!Ga(b))return;var c=Ae(a[1]);if(!c)return;Ie()?Je(c):Le();Ke(c.id);var d=c.id,e=b[G.Tb]||"default";e=e.toString().split(",");for(var g=0;g<e.length;g++)Ee[e[g]]=Ee[e[g]]||[],Ee[e[g]].push(d);delete b[G.Tb];sd("gtag.targets."+c.id,void 0);sd("gtag.targets."+c.id,Ha(b));var h={};h[G.oa]=c.id;return He(G.aa,h);},event:function(a){var b=a[1];if(ia(b)&&!(3<a.length)){var c;if(2<
a.length){if(!Ga(a[2]))return;c=a[2]}var d=He(b,c);var e;var g=c,h=ld("gtag.fields.send_to",2);ia(h)||(h=G.oa);var k=g&&g[h];void 0===k&&(k=ld(h,2),void 0===k&&(k="default"));if(ia(k)||ka(k)){for(var l=k.toString().replace(/\s+/g,"").split(","),m=[],n=0;n<l.length;n++)0<=l[n].indexOf("-")?m.push(l[n]):m=m.concat(Ee[l[n]]||[]);e=Ce(m)}else e=void 0;var p=e;if(!p)return;var t=Ie();t||Le();for(var q=[],r=0;t&&r<p.length;r++){var w=p[r];q.push(w.id);Je(w)}d.eventModel=d.eventModel||
{};0<p.length?d.eventModel[G.oa]=q.join():delete d.eventModel[G.oa];return d}},js:function(a){if(2==a.length&&a[1].getTime)return{event:"gtm.js","gtm.start":a[1].getTime()}},policy:function(a){if(3===a.length){var b=a[1],c=a[2];we[b]||(we[b]=[]);we[b].push(c)}},set:function(a){var b;2==a.length&&Ga(a[1])?b=Ha(a[1]):3==a.length&&ia(a[1])&&(b={},b[a[1]]=a[2]);if(b)return b.eventModel=Ha(b),b.event="gtag.set",b._clear=!0,b}},Ne={policy:!0};var Oe=function(){var a=!1;return a};var Ue=function(a){if(Te(a))return a;this.xg=a};Ue.prototype.Ef=function(){return this.xg};var Te=function(a){return!a||"object"!==Ea(a)||Ga(a)?!1:"getUntrustedUpdateValue"in a};Ue.prototype.getUntrustedUpdateValue=Ue.prototype.Ef;var Ve=!1,We=[];function Xe(){if(!Ve){Ve=!0;for(var a=0;a<We.length;a++)z(We[a])}}var Ye=function(a){Ve?z(a):We.push(a)};var Ze=[],$e=!1,af=function(a){return f["dataLayer"].push(a)},bf=function(a){var b=zc["dataLayer"],c=b?b.subscribers:1,d=0;return function(){++d===c&&a()}},df=function(a){var b=a._clear;ra(a,function(g,h){"_clear"!==g&&(b&&sd(g,void 0),sd(g,h))});if(!Dc){Dc=a["gtm.start"];}var c=a.event;if(!c)return!1;var d=a["gtm.uniqueEventId"];d||(d=Jc(),a["gtm.uniqueEventId"]=d,sd("gtm.uniqueEventId",d));Fc=c;var e=
cf(a);Fc=null;return e};function cf(a){var b=a.event,c=a["gtm.uniqueEventId"],d,e=zc.zones;d=e?e.checkState(yc.m,c):Cd;return d.active?ue(c,b,d.isWhitelisted,a.eventCallback,a.eventTimeout)?!0:!1:!1}
var ef=function(){for(var a=!1;!$e&&0<Ze.length;){$e=!0;delete hd.eventModel;kd();var b=Ze.shift();if(null!=b){var c=Te(b);if(c){var d=b;b=Te(d)?d.getUntrustedUpdateValue():void 0;for(var e=["gtm.whitelist","gtm.blacklist","tagTypeBlacklist"],g=0;g<e.length;g++){var h=e[g],k=ld(h,1);if(ka(k)||Ga(k))k=Ha(k);id[h]=k}}try{if(ha(b))try{b.call(md)}catch(w){}else if(ka(b)){var l=b;if(ia(l[0])){var m=
l[0].split("."),n=m.pop(),p=l.slice(1),t=ld(m.join("."),2);if(void 0!==t&&null!==t)try{t[n].apply(t,p)}catch(w){}}}else{var q=b;if(q&&("[object Arguments]"==Object.prototype.toString.call(q)||Object.prototype.hasOwnProperty.call(q,"callee"))){a:{if(b.length&&ia(b[0])){var r=Me[b[0]];if(r&&(!c||!Ne[b[0]])){b=r(b);break a}}b=void 0}if(!b){$e=!1;continue}}a=df(b)||a}}finally{c&&kd(!0)}}$e=!1}
return!a},ff=function(){var a=ef();try{var b=yc.m,c=f["dataLayer"].hide;if(c&&void 0!==c[b]&&c.end){c[b]=!1;var d=!0,e;for(e in c)if(c.hasOwnProperty(e)&&!0===c[e]){d=!1;break}d&&(c.end(),c.end=null)}}catch(g){}return a},gf=function(){var a=Oa("dataLayer",[]),b=Oa("google_tag_manager",{});b=b["dataLayer"]=b["dataLayer"]||{};Jd(function(){b.gtmDom||(b.gtmDom=!0,a.push({event:"gtm.dom"}))});Ye(function(){b.gtmLoad||(b.gtmLoad=!0,a.push({event:"gtm.load"}))});b.subscribers=(b.subscribers||
0)+1;var c=a.push;a.push=function(){var d;if(0<zc.SANDBOXED_JS_SEMAPHORE){d=[];for(var e=0;e<arguments.length;e++)d[e]=new Ue(arguments[e])}else d=[].slice.call(arguments,0);var g=c.apply(a,d);Ze.push.apply(Ze,d);if(300<this.length)for(Ka("GTM",4);300<this.length;)this.shift();var h="boolean"!==typeof g||g;return ef()&&h};Ze.push.apply(Ze,a.slice(0));z(ff)};var jf=function(a){return hf?u.querySelectorAll(a):null},kf=function(a,b){if(!hf)return null;if(Element.prototype.closest)try{return a.closest(b)}catch(e){return null}var c=Element.prototype.matches||Element.prototype.webkitMatchesSelector||Element.prototype.mozMatchesSelector||Element.prototype.msMatchesSelector||Element.prototype.oMatchesSelector,d=a;if(!u.documentElement.contains(d))return null;do{try{if(c.call(d,b))return d}catch(e){break}d=d.parentElement||d.parentNode}while(null!==d&&1===d.nodeType);
return null},lf=!1;if(u.querySelectorAll)try{var mf=u.querySelectorAll(":root");mf&&1==mf.length&&mf[0]==u.documentElement&&(lf=!0)}catch(a){}var hf=lf;var nf;var Jf={};Jf.ob=new String("undefined");
var Kf=function(a){this.resolve=function(b){for(var c=[],d=0;d<a.length;d++)c.push(a[d]===Jf.ob?b:a[d]);return c.join("")}};Kf.prototype.toString=function(){return this.resolve("undefined")};Kf.prototype.valueOf=Kf.prototype.toString;Jf.He=Kf;Jf.ac={};Jf.qf=function(a){return new Kf(a)};var Lf={};Jf.jg=function(a,b){var c=Jc();Lf[c]=[a,b];return c};Jf.wd=function(a){var b=a?0:1;return function(c){var d=Lf[c];if(d&&"function"===typeof d[b])d[b]();Lf[c]=void 0}};Jf.Rf=function(a){for(var b=!1,c=!1,
d=2;d<a.length;d++)b=b||8===a[d],c=c||16===a[d];return b&&c};Jf.$f=function(a){if(a===Jf.ob)return a;var b=Jc();Jf.ac[b]=a;return'google_tag_manager["'+yc.m+'"].macro('+b+")"};Jf.Uf=function(a,b,c){a instanceof Jf.He&&(a=a.resolve(Jf.jg(b,c)),b=fa);return{oc:a,J:b}};var Mf=function(a,b,c){var d={event:b,"gtm.element":a,"gtm.elementClasses":a.className,"gtm.elementId":a["for"]||Wa(a,"id")||"","gtm.elementTarget":a.formTarget||a.target||""};c&&(d["gtm.triggers"]=c.join(","));d["gtm.elementUrl"]=(a.attributes&&a.attributes.formaction?a.formAction:"")||a.action||a.href||a.src||a.code||a.codebase||"";return d},Nf=function(a){zc.hasOwnProperty("autoEventsSettings")||(zc.autoEventsSettings={});var b=zc.autoEventsSettings;b.hasOwnProperty(a)||(b[a]={});return b[a]},
Of=function(a,b,c){Nf(a)[b]=c},Pf=function(a,b,c,d){var e=Nf(a),g=xa(e,b,d);e[b]=c(g)},Qf=function(a,b,c){var d=Nf(a);return xa(d,b,c)};var Rf=function(){for(var a=Ma.userAgent+(u.cookie||"")+(u.referrer||""),b=a.length,c=f.history.length;0<c;)a+=c--^b++;var d=1,e,g,h;if(a)for(d=0,g=a.length-1;0<=g;g--)h=a.charCodeAt(g),d=(d<<6&268435455)+h+(h<<14),e=d&266338304,d=0!=e?d^e>>21:d;return[Math.round(2147483647*Math.random())^d&2147483647,Math.round(wa()/1E3)].join(".")},Uf=function(a,b,c,d){var e=Sf(b);return lb(a,e,Tf(c),d)},Sf=function(a){if(!a)return 1;a=0===a.indexOf(".")?a.substr(1):a;return a.split(".").length},Tf=function(a){if(!a||
"/"===a)return 1;"/"!==a[0]&&(a="/"+a);"/"!==a[a.length-1]&&(a+="/");return a.split("/").length-1};function Vf(a,b){var c=""+Sf(a),d=Tf(b);1<d&&(c+="-"+d);return c};var Wf=["1"],Xf={},ag=function(a,b,c,d){var e=Yf(a);Xf[e]||Zf(e,b,c)||($f(e,Rf(),b,c,d),Zf(e,b,c))};function $f(a,b,c,d,e){var g;g=["1",Vf(d,c),b].join(".");pb(a,g,c,d,0==e?void 0:new Date(wa()+1E3*(void 0==e?7776E3:e)))}function Zf(a,b,c){var d=Uf(a,b,c,Wf);d&&(Xf[a]=d);return d}function Yf(a){return(a||"_gcl")+"_au"};var bg=function(){for(var a=[],b=u.cookie.split(";"),c=/^\s*_gac_(UA-\d+-\d+)=\s*(.+?)\s*$/,d=0;d<b.length;d++){var e=b[d].match(c);e&&a.push({Oc:e[1],value:e[2]})}var g={};if(!a||!a.length)return g;for(var h=0;h<a.length;h++){var k=a[h].value.split(".");"1"==k[0]&&3==k.length&&k[1]&&(g[a[h].Oc]||(g[a[h].Oc]=[]),g[a[h].Oc].push({timestamp:k[1],Bf:k[2]}))}return g};function cg(){for(var a=dg,b={},c=0;c<a.length;++c)b[a[c]]=c;return b}function eg(){var a="ABCDEFGHIJKLMNOPQRSTUVWXYZ";a+=a.toLowerCase()+"0123456789-_";return a+"."}
var dg,fg,gg=function(a){dg=dg||eg();fg=fg||cg();for(var b=[],c=0;c<a.length;c+=3){var d=c+1<a.length,e=c+2<a.length,g=a.charCodeAt(c),h=d?a.charCodeAt(c+1):0,k=e?a.charCodeAt(c+2):0,l=g>>2,m=(g&3)<<4|h>>4,n=(h&15)<<2|k>>6,p=k&63;e||(p=64,d||(n=64));b.push(dg[l],dg[m],dg[n],dg[p])}return b.join("")},hg=function(a){function b(l){for(;d<a.length;){var m=a.charAt(d++),n=fg[m];if(null!=n)return n;if(!/^[\s\xa0]*$/.test(m))throw Error("Unknown base64 encoding at char: "+m);}return l}dg=dg||eg();fg=fg||
cg();for(var c="",d=0;;){var e=b(-1),g=b(0),h=b(64),k=b(64);if(64===k&&-1===e)return c;c+=String.fromCharCode(e<<2|g>>4);64!=h&&(c+=String.fromCharCode(g<<4&240|h>>2),64!=k&&(c+=String.fromCharCode(h<<6&192|k)))}};var ig;function jg(a,b){if(!a||b===u.location.hostname)return!1;for(var c=0;c<a.length;c++)if(a[c]instanceof RegExp){if(a[c].test(b))return!0}else if(0<=b.indexOf(a[c]))return!0;return!1}var kg=function(){var a=Oa("google_tag_data",{}),b=a.gl;b&&b.decorators||(b={decorators:[]},a.gl=b);return b};var lg=/(.*?)\*(.*?)\*(.*)/,mg=/^https?:\/\/([^\/]*?)\.?cdn\.ampproject\.org\/?(.*)/,ng=/^(?:www\.|m\.|amp\.)+/,og=/([^?#]+)(\?[^#]*)?(#.*)?/,pg=/(.*?)(^|&)_gl=([^&]*)&?(.*)/,rg=function(a){var b=[],c;for(c in a)if(a.hasOwnProperty(c)){var d=a[c];void 0!==d&&d===d&&null!==d&&"[object Object]"!==d.toString()&&(b.push(c),b.push(gg(String(d))))}var e=b.join("*");return["1",qg(e),e].join("*")},qg=function(a,b){var c=[window.navigator.userAgent,(new Date).getTimezoneOffset(),window.navigator.userLanguage||
window.navigator.language,Math.floor((new Date).getTime()/60/1E3)-(void 0===b?0:b),a].join("*"),d;if(!(d=ig)){for(var e=Array(256),g=0;256>g;g++){for(var h=g,k=0;8>k;k++)h=h&1?h>>>1^3988292384:h>>>1;e[g]=h}d=e}ig=d;for(var l=4294967295,m=0;m<c.length;m++)l=l>>>8^ig[(l^c.charCodeAt(m))&255];return((l^-1)>>>0).toString(36)},tg=function(){return function(a){var b=hb(f.location.href),c=b.search.replace("?",""),d=db(c,"_gl",!0)||"";a.query=sg(d)||{};var e=gb(b,"fragment").match(pg);a.fragment=sg(e&&e[3]||
"")||{}}},sg=function(a){var b;b=void 0===b?3:b;try{if(a){var c;a:{for(var d=a,e=0;3>e;++e){var g=lg.exec(d);if(g){c=g;break a}d=decodeURIComponent(d)}c=void 0}var h=c;if(h&&"1"===h[1]){var k=h[3],l;a:{for(var m=h[2],n=0;n<b;++n)if(m===qg(k,n)){l=!0;break a}l=!1}if(l){for(var p={},t=k?k.split("*"):[],q=0;q<t.length;q+=2)p[t[q]]=hg(t[q+1]);return p}}}}catch(r){}};
function ug(a,b,c){function d(m){var n=m,p=pg.exec(n),t=n;if(p){var q=p[2],r=p[4];t=p[1];r&&(t=t+q+r)}m=t;var w=m.charAt(m.length-1);m&&"&"!==w&&(m+="&");return m+l}c=void 0===c?!1:c;var e=og.exec(b);if(!e)return"";var g=e[1],h=e[2]||"",k=e[3]||"",l="_gl="+a;c?k="#"+d(k.substring(1)):h="?"+d(h.substring(1));return""+g+h+k}
function vg(a,b,c){for(var d={},e={},g=kg().decorators,h=0;h<g.length;++h){var k=g[h];(!c||k.forms)&&jg(k.domains,b)&&(k.fragment?za(e,k.callback()):za(d,k.callback()))}if(Aa(d)){var l=rg(d);if(c){if(a&&a.action){var m=(a.method||"").toLowerCase();if("get"===m){for(var n=a.childNodes||[],p=!1,t=0;t<n.length;t++){var q=n[t];if("_gl"===q.name){q.setAttribute("value",l);p=!0;break}}if(!p){var r=u.createElement("input");r.setAttribute("type","hidden");r.setAttribute("name","_gl");r.setAttribute("value",
l);a.appendChild(r)}}else if("post"===m){var w=ug(l,a.action);bb.test(w)&&(a.action=w)}}}else wg(l,a,!1)}if(!c&&Aa(e)){var v=rg(e);wg(v,a,!0)}}function wg(a,b,c){if(b.href){var d=ug(a,b.href,void 0===c?!1:c);bb.test(d)&&(b.href=d)}}
var xg=function(a){try{var b;a:{for(var c=a.target||a.srcElement||{},d=100;c&&0<d;){if(c.href&&c.nodeName.match(/^a(?:rea)?$/i)){b=c;break a}c=c.parentNode;d--}b=null}var e=b;if(e){var g=e.protocol;"http:"!==g&&"https:"!==g||vg(e,e.hostname,!1)}}catch(h){}},yg=function(a){try{var b=a.target||a.srcElement||{};if(b.action){var c=gb(hb(b.action),"host");vg(b,c,!0)}}catch(d){}},zg=function(a,b,c,d){var e=kg();e.init||(Ua(u,"mousedown",xg),Ua(u,"keyup",xg),Ua(u,"submit",yg),e.init=!0);var g={callback:a,
domains:b,fragment:"fragment"===c,forms:!!d};kg().decorators.push(g)},Ag=function(){var a=u.location.hostname,b=mg.exec(u.referrer);if(!b)return!1;var c=b[2],d=b[1],e="";if(c){var g=c.split("/"),h=g[1];e="s"===h?decodeURIComponent(g[2]):decodeURIComponent(h)}else if(d){if(0===d.indexOf("xn--"))return!1;e=d.replace(/-/g,".").replace(/\.\./g,"-")}return a.replace(ng,"")===e.replace(ng,"")},Bg=function(a,b){return!1===a?!1:a||b||Ag()};var Cg={};var Dg=/^\w+$/,Eg=/^[\w-]+$/,Fg=/^~?[\w-]+$/,Gg={aw:"_aw",dc:"_dc",gf:"_gf",ha:"_ha"};function Hg(a){return a&&"string"==typeof a&&a.match(Dg)?a:"_gcl"}var Jg=function(){var a=hb(f.location.href),b=gb(a,"query",!1,void 0,"gclid"),c=gb(a,"query",!1,void 0,"gclsrc"),d=gb(a,"query",!1,void 0,"dclid");if(!b||!c){var e=a.hash.replace("#","");b=b||db(e,"gclid",void 0);c=c||db(e,"gclsrc",void 0)}return Ig(b,c,d)};
function Ig(a,b,c){var d={},e=function(g,h){d[h]||(d[h]=[]);d[h].push(g)};if(void 0!==a&&a.match(Eg))switch(b){case void 0:e(a,"aw");break;case "aw.ds":e(a,"aw");e(a,"dc");break;case "ds":e(a,"dc");break;case "3p.ds":(void 0==Cg.gtm_3pds?0:Cg.gtm_3pds)&&e(a,"dc");break;case "gf":e(a,"gf");break;case "ha":e(a,"ha")}c&&e(c,"dc");return d}
function Kg(a,b,c){function d(p,t){var q=Lg(p,e);q&&pb(q,t,h,g,l,!0)}b=b||{};var e=Hg(b.prefix),g=b.domain||"auto",h=b.path||"/",k=void 0==b.Nd?7776E3:b.Nd;c=c||wa();var l=0==k?void 0:new Date(c+1E3*k),m=Math.round(c/1E3),n=function(p){return["GCL",m,p].join(".")};a.aw&&(!0===b.dh?d("aw",n("~"+a.aw[0])):d("aw",n(a.aw[0])));a.dc&&d("dc",n(a.dc[0]));a.gf&&d("gf",n(a.gf[0]));a.ha&&d("ha",n(a.ha[0]))}
var Lg=function(a,b){var c=Gg[a];if(void 0!==c)return b+c},Mg=function(a){var b=a.split(".");return 3!==b.length||"GCL"!==b[0]?0:1E3*(Number(b[1])||0)};function Ng(a){var b=a.split(".");if(3==b.length&&"GCL"==b[0]&&b[1])return b[2]}
var Og=function(a,b,c,d,e){if(ka(b)){var g=Hg(e);zg(function(){for(var h={},k=0;k<a.length;++k){var l=Lg(a[k],g);if(l){var m=ib(l,u.cookie);m.length&&(h[l]=m.sort()[m.length-1])}}return h},b,c,d)}},Pg=function(a){return a.filter(function(b){return Fg.test(b)})},Qg=function(a){for(var b=["aw","dc"],c=Hg(a&&a.prefix),d={},e=0;e<b.length;e++)Gg[b[e]]&&(d[b[e]]=Gg[b[e]]);ra(d,function(g,h){var k=ib(c+h,u.cookie);if(k.length){var l=k[0],m=Mg(l),n={};n[g]=[Ng(l)];Kg(n,a,m)}})};var Rg=/^\d+\.fls\.doubleclick\.net$/;function Sg(a){var b=hb(f.location.href),c=gb(b,"host",!1);if(c&&c.match(Rg)){var d=gb(b,"path").split(a+"=");if(1<d.length)return d[1].split(";")[0].split("?")[0]}}
function Tg(a,b){if("aw"==a||"dc"==a){var c=Sg("gcl"+a);if(c)return c.split(".")}var d=Hg(b);if("_gcl"==d){var e;e=Jg()[a]||[];if(0<e.length)return e}var g=Lg(a,d),h;if(g){var k=[];if(u.cookie){var l=ib(g,u.cookie);if(l&&0!=l.length){for(var m=0;m<l.length;m++){var n=Ng(l[m]);n&&-1===la(k,n)&&k.push(n)}h=Pg(k)}else h=k}else h=k}else h=[];return h}
var Ug=function(){var a=Sg("gac");if(a)return decodeURIComponent(a);var b=bg(),c=[];ra(b,function(d,e){for(var g=[],h=0;h<e.length;h++)g.push(e[h].Bf);g=Pg(g);g.length&&c.push(d+":"+g.join(","))});return c.join(";")},Vg=function(a,b,c,d,e){ag(b,c,d,e);var g=Xf[Yf(b)],h=Jg().dc||[],k=!1;if(g&&0<h.length){var l=zc.joined_au=zc.joined_au||{},m=b||"_gcl";if(!l[m])for(var n=0;n<h.length;n++){var p="https://adservice.google.com/ddm/regclk",t=p=p+"?gclid="+h[n]+"&auiddc="+g;Ma.sendBeacon&&Ma.sendBeacon(t)||Ta(t);k=l[m]=
!0}}null==a&&(a=k);if(a&&g){var q=Yf(b),r=Xf[q];r&&$f(q,r,c,d,e)}};var Wg;if(3===yc.sb.length)Wg="g";else{var Xg="G";Xg="g";Wg=Xg}
var Yg={"":"n",UA:"u",AW:"a",DC:"d",G:"e",GF:"f",HA:"h",GTM:Wg},Zg=function(a){var b=yc.m.split("-"),c=b[0].toUpperCase(),d=Yg[c]||"i",e=a&&"GTM"===c?b[1]:"",g;if(3===yc.sb.length){var h=void 0;h=h||(Oe()?"s":"o");g="2"+(h||"w")}else g="";return g+d+yc.sb+
e};
var $g=function(a){return!(void 0===a||null===a||0===(a+"").length)},ah=function(a,b){var c;if(2===b.M)return a("ord",na(1E11,1E13)),!0;if(3===b.M)return a("ord","1"),a("num",na(1E11,1E13)),!0;if(4===b.M)return $g(b.sessionId)&&a("ord",b.sessionId),!0;if(5===b.M)c="1";else if(6===b.M)c=b.Ic;else return!1;$g(c)&&a("qty",c);$g(b.vb)&&a("cost",b.vb);$g(b.transactionId)&&a("ord",b.transactionId);return!0},bh=encodeURIComponent,ch=function(a,b){function c(n,p,t){g.hasOwnProperty(n)||(p+="",e+=";"+n+"="+
(t?p:bh(p)))}var d=a.kc,e=a.protocol;e+=a.Fb?"//"+d+".fls.doubleclick.net/activityi":"//ad.doubleclick.net/activity";e+=";src="+bh(d)+(";type="+bh(a.nc))+(";cat="+bh(a.Ma));var g=a.sf||{};ra(g,function(n,p){e+=";"+bh(n)+"="+bh(p+"")});if(ah(c,a)){$g(a.Kb)&&c("u",a.Kb);$g(a.Jb)&&c("tran",a.Jb);c("gtm",Zg());!1===a.Qe&&c("npa","1");if(a.ic){var h=Tg("dc",a.va);h&&h.length&&c("gcldc",h.join("."));var k=Tg("aw",a.va);k&&k.length&&c("gclaw",k.join("."));var l=Ug();l&&c("gac",l);ag(a.va,void 0,a.nf,a.pf);
var m=Xf[Yf(a.va)];m&&c("auiddc",m)}$g(a.Ec)&&c("prd",a.Ec,!0);ra(a.Rc,function(n,p){c(n,p)});e+=b||"";$g(a.Db)&&c("~oref",a.Db);a.Fb?Sa(e+"?",a.J):Ta(e+"?",a.J,a.O)}else z(a.O)};var eh=function(a){var b="/pagead/conversion/"+dh(a.conversion_id)+"/?",c=dh(JSON.stringify(a.conversion_data)),d="https://www.googletraveladservices.com/travel/flights/clk"+b+"conversion_data="+c;if(a.conversionLinkerEnabled){var e=Tg("gf",a.cookiePrefix);if(e&&e.length)for(var g=0;g<e.length;g++)d+="&gclgf="+dh(e[g])}Ta(d,a.onSuccess,a.onFailure)},dh=function(a){return null===a||void 0===a||0===String(a).length?"":encodeURIComponent(String(a))};
var fh=!!f.MutationObserver,gh=void 0,hh=function(a){if(!gh){var b=function(){var c=u.body;if(c)if(fh)(new MutationObserver(function(){for(var e=0;e<gh.length;e++)z(gh[e])})).observe(c,{childList:!0,subtree:!0});else{var d=!1;Ua(c,"DOMNodeInserted",function(){d||(d=!0,z(function(){d=!1;for(var e=0;e<gh.length;e++)z(gh[e])}))})}};gh=[];u.body?b():z(b)}gh.push(a)};var zh=f.clearTimeout,Ah=f.setTimeout,H=function(a,b,c){if(Oe()){b&&z(b)}else return Qa(a,b,c)},Bh=function(){return new Date},Ch=function(){return f.location.href},Dh=function(a){return gb(hb(a),"fragment")},Eh=function(a){return fb(hb(a))},Fh=null;
var Gh=function(a,b){return ld(a,b||2)},Hh=function(a,b,c){b&&(a.eventCallback=b,c&&(a.eventTimeout=c));return af(a)},Ih=function(a,b){f[a]=b},K=function(a,b,c){b&&(void 0===f[a]||c&&!f[a])&&(f[a]=b);return f[a]},Jh=function(a,b,c){return ib(a,b,void 0===c?!0:!!c)},Kh=function(a,b,c,d){var e={prefix:a,path:b,domain:c,Nd:d},g=Jg();Kg(g,e);Qg(e)},Lh=function(a,b,c,d,e){var g=tg(),h=kg();h.data||(h.data={query:{},fragment:{}},g(h.data));var k={},l=h.data;l&&
(za(k,l.query),za(k,l.fragment));for(var m=Hg(b),n=0;n<a.length;++n){var p=a[n];if(void 0!==Gg[p]){var t=Lg(p,m),q=k[t];if(q){var r=Math.min(Mg(q),wa()),w;b:{for(var v=r,y=ib(t,u.cookie),x=0;x<y.length;++x)if(Mg(y[x])>v){w=!0;break b}w=!1}w||pb(t,q,c,d,0==e?void 0:new Date(r+1E3*(null==e?7776E3:e)),!0)}}}var A={prefix:b,path:c,domain:d};Kg(Ig(k.gclid,k.gclsrc),A);},Mh=function(a,b,c,d,e){Og(a,b,c,d,e);},
Nh=function(a,b){if(Oe()){b&&z(b)}else Sa(a,b)},Oh=function(a){return!!Qf(a,"init",!1)},Ph=function(a){Of(a,"init",!0)},Qh=function(a,b,c){var d=(void 0===c?0:c)?"www.googletagmanager.com/gtag/js":Cc;d+="?id="+encodeURIComponent(a)+"&l=dataLayer";b&&ra(b,function(e,g){g&&(d+="&"+e+"="+encodeURIComponent(g))});H(D("https://","http://",d))};
var Rh=function(a,b,c,d,e,g){var h={config:a,gtm:Zg()};c&&(ag(d,void 0,e,g),h.auiddc=Xf[Yf(d)]);b&&(h.loadInsecure=b);K("__dc_ns_processor",[]).push(h);H((b?"http":"https")+"://www.googletagmanager.com/dclk/ns/v1.js")};
var Sh=Jf.Uf;
var Th=new pa,Uh=function(a,b){function c(h){var k=hb(h),l=gb(k,"protocol"),m=gb(k,"host",!0),n=gb(k,"port"),p=gb(k,"path").toLowerCase().replace(/\/$/,"");if(void 0===l||"http"==l&&"80"==n||"https"==l&&"443"==n)l="web",n="default";return[l,m,n,p]}for(var d=c(String(a)),e=c(String(b)),g=0;g<d.length;g++)if(d[g]!==e[g])return!1;return!0},Vh=function(a){var b=a.arg0,c=a.arg1;if(a.any_of&&ka(c)){for(var d=0;d<c.length;d++)if(Vh({"function":a["function"],arg0:b,arg1:c[d]}))return!0;return!1}switch(a["function"]){case "_cn":return 0<=
String(b).indexOf(String(c));case "_css":var e;a:{if(b){var g=["matches","webkitMatchesSelector","mozMatchesSelector","msMatchesSelector","oMatchesSelector"];try{for(var h=0;h<g.length;h++)if(b[g[h]]){e=b[g[h]](c);break a}}catch(w){}}e=!1}return e;case "_ew":var k,l;k=String(b);l=String(c);var m=k.length-l.length;return 0<=m&&k.indexOf(l,m)==m;case "_eq":return String(b)==String(c);case "_ge":return Number(b)>=Number(c);case "_gt":return Number(b)>Number(c);case "_lc":var n;n=String(b).split(",");
return 0<=la(n,String(c));case "_le":return Number(b)<=Number(c);case "_lt":return Number(b)<Number(c);case "_re":var p;var t=a.ignore_case?"i":void 0;try{var q=String(c)+t,r=Th.get(q);r||(r=new RegExp(c,t),Th.set(q,r));p=r.test(b)}catch(w){p=!1}return p;case "_sw":return 0==String(b).indexOf(String(c));case "_um":return Uh(b,c)}return!1};var Xh=function(a,b){var c=function(){};c.prototype=a.prototype;var d=new c;a.apply(d,Array.prototype.slice.call(arguments,1));return d};var Yh={},Zh=encodeURI,M=encodeURIComponent,$h=Ta;var ai=function(a,b){if(!a)return!1;var c=gb(hb(a),"host");if(!c)return!1;for(var d=0;b&&d<b.length;d++){var e=b[d]&&b[d].toLowerCase();if(e){var g=c.length-e.length;0<g&&"."!=e.charAt(0)&&(g--,e="."+e);if(0<=g&&c.indexOf(e,g)==g)return!0}}return!1};
var bi=function(a,b,c){for(var d={},e=!1,g=0;a&&g<a.length;g++)a[g]&&a[g].hasOwnProperty(b)&&a[g].hasOwnProperty(c)&&(d[a[g][b]]=a[g][c],e=!0);return e?d:null};Yh.Sf=function(){var a=!1;return a};var ci=function(){var a=!1;return a};var Mi=function(a,b,c,d){this.n=a;this.t=b;this.p=c;this.d=d},Ni=function(){this.c=1;this.e=[];this.p=null};function Oi(a){var b=zc,c=b.gss=b.gss||{};return c[a]=c[a]||new Ni}var Pi=function(a,b){Oi(a).p=b},Qi=function(a){var b=Oi(a),c=b.p;if(c){var d=b.e,e=[];b.e=[];var g=function(h){for(var k=0;k<h.length;k++)try{var l=h[k];l.d?(l.d=!1,e.push(l)):c(l.n,l.t,l.p)}catch(m){}};g(d);g(e)}};var Si=function(){var a=f.gaGlobal=f.gaGlobal||{};a.hid=a.hid||na();return a.hid};var gj=window,hj=document,ij=function(a){var b=gj._gaUserPrefs;if(b&&b.ioo&&b.ioo()||a&&!0===gj["ga-disable-"+a])return!0;try{var c=gj.external;if(c&&c._gaUserPrefs&&"oo"==c._gaUserPrefs)return!0}catch(g){}for(var d=ib("AMP_TOKEN",hj.cookie,!0),e=0;e<d.length;e++)if("$OPT_OUT"==d[e])return!0;return hj.getElementById("__gaOptOutExtension")?!0:!1};var pj=function(a,b,c){oj(a);var d=Math.floor(wa()/1E3);Oi(a).e.push(new Mi(b,d,c,void 0));Qi(a)},qj=function(a,b,c){oj(a);var d=Math.floor(wa()/1E3);Oi(a).e.push(new Mi(b,d,c,!0))},oj=function(a){if(1===Oi(a).c){Oi(a).c=2;var b=encodeURIComponent(a);Qa(("http:"!=f.location.protocol?"https:":"http:")+("//www.googletagmanager.com/gtag/js?id="+b+"&l=dataLayer&cx=c"))}},sj=function(a,b){},rj=function(a,b){};var Y={a:{}};


Y.a.gtagha=["google"],function(){function a(h){function k(m,n){void 0!==n&&l.push(m+"="+n)}if(void 0===h)return"";var l=[];k("hct_base_price",h.Ed);k("hct_booking_xref",h.Fd);k("hct_checkin_date",h.Hf);k("hct_checkout_date",h.If);k("hct_currency_code",h.Jf);k("hct_partner_hotel_id",h.Gd);k("hct_total_price",h.Hd);return l.join(";")}function b(h,k,l,m){var n=M(h),p=M(a(k)),t="https://www.googletraveladservices.com/travel/clk/pagead/conversion/"+n+"/?data="+p;l&&(t+=Tg("ha",m).map(function(q){return"&gclha="+
M(q)}).join(""));return t}function c(h,k,l,m,n,p){/^\d+$/.test(h)?$h(b(h,k,l,m),n,p):z(p)}function d(h,k,l,m){var n={};ia(h)?n.Fd=h:"number"===typeof h&&(n.Fd=String(h));ia(l)&&(n.Jf=l);ia(k)?n.Hd=n.Ed=k:"number"===typeof k&&(n.Hd=n.Ed=String(k));if(!ka(m)||0==m.length)return n;var p=m[0];if(!Ga(p))return n;ia(p.id)?n.Gd=p.id:"number"===typeof p.id&&(n.Gd=String(p.id));ia(p.start_date)&&(n.Hf=p.start_date);ia(p.end_date)&&(n.If=p.end_date);return n}function e(h){var k=Fc,l=h.vtp_gtmOnSuccess,m=h.vtp_gtmOnFailure,
n=h.vtp_conversionId,p=n.containerId,t=function(A){return nd(A,p,n.id)},q=!1!==t(G.Fa),r=t(G.Ea)||t(G.F),w=t(G.N),v=t(G.U);if(k===G.aa){var y=t(G.Ha)||{};q&&(Bg(y[G.gb],!!y[G.H])&&Lh(g,r,void 0,w,v),Kh(r,void 0,w,v));y[G.H]&&Mh(g,y[G.H],y[G.ib],!!y[G.hb],r);z(l)}else if("purchase"===k){var x=d(t(G.Ja),t(G.ca),t(G.na),t(G.T));c(n.da[0],x,q,r,l,m)}else z(m)}var g=["ha"];Y.__gtagha=e;Y.__gtagha.g="gtagha";Y.__gtagha.h=!0;Y.__gtagha.b=0;}();

Y.a.e=["google"],function(){(function(a){Y.__e=a;Y.__e.g="e";Y.__e.h=!0;Y.__e.b=0})(function(a){return String(ud(a.vtp_gtmEventId,"event"))})}();
Y.a.v=["google"],function(){(function(a){Y.__v=a;Y.__v.g="v";Y.__v.h=!0;Y.__v.b=0})(function(a){var b=a.vtp_name;if(!b||!b.replace)return!1;var c=Gh(b.replace(/\\\./g,"."),a.vtp_dataLayerVersion||1);return void 0!==c?c:a.vtp_defaultValue})}();






Y.a.gtagaw=["google"],function(){var a=!1,b=[],c=["aw","dc"],d=function(m){var n=K("google_trackConversion"),p=m.gtm_onFailure;"function"==typeof n?n(m)||p():p()},e=function(){for(;0<b.length;)d(b.shift())},g=function(){a||(a=!0,Sd(),H(D("https://","http://","www.googleadservices.com/pagead/conversion_async.js"),function(){e();b={push:d}},function(){e();a=!1}))},h=function(m,n,p,t){if(Oe()){}else{ka(n)||(n=[n]);for(var q=
0;q<n.length;q++)1>q&&Mc(m.da[0],m.da[1],n[q],{be:p,zg:t})}},k=function(m){if(m){for(var n=[],p=0;p<m.length;++p){var t=m[p];t&&n.push({item_id:t.id,quantity:t.quantity,value:t.price,start_date:t.start_date,end_date:t.end_date})}return n}},l=function(m){var n=m.vtp_conversionId,p=Fc,t=p==G.aa,q=n.da[0],r=n.da[1],w=void 0!==r,v=n.containerId,y=w?n.id:void 0,x=function(X){return nd(X,v,y)},A=!1!==x(G.Fa),B=x(G.Ea)||x(G.F),C=x(G.N),E=x(G.U);if(t){var F=x(G.Ha)||{};A&&(Bg(F[G.gb],!!F[G.H])&&Lh(c,B,void 0,
C,E),Kh(B,void 0,C,E));F[G.H]&&Mh(c,F[G.H],F[G.ib],!!F[G.hb],B);if(w){var Q=x(G.Xb),W=x(G.Vb),V=x(G.Wb),S=x(G.ld);h(n,Q,W||V,S)}}var P=!1===x(G.ad)||!1===x(G.Ia);if(!t||!w&&!P)if(!0===x(G.bd)&&(w=!1),!1!==x(G.S)||w){var N={google_conversion_id:q,google_remarketing_only:!w,onload_callback:m.vtp_gtmOnSuccess,gtm_onFailure:m.vtp_gtmOnFailure,google_conversion_format:"3",google_conversion_color:"ffffff",google_conversion_domain:"",google_conversion_label:r,google_conversion_language:x(G.Ga),google_conversion_value:x(G.ca),
google_conversion_currency:x(G.na),google_conversion_order_id:x(G.Ja),google_user_id:x(G.ba),google_conversion_page_url:x(G.jb),google_conversion_referrer_url:x(G.kb),google_gtm:Zg()};Oe()&&(N.opt_image_generator=function(){return new Image},N.google_enable_display_cookie_match=!1);!1===x(G.S)&&(N.google_allow_ad_personalization_signals=!1);N.google_read_gcl_cookie_opt_out=!A;A&&B&&(N.google_gcl_cookie_prefix=B);var I=function(){var X=x(G.cb),U={event:p};if(ka(X)){for(var da=0;da<X.length;++da){var T=
X[da],L=x(T);void 0!==L&&(U[T]=L)}return U}var Z=x("eventModel");if(!Z)return null;Ha(Z,U);for(var oa=0;oa<G.Vc.length;++oa)delete U[G.Vc[oa]];return U}();I&&(N.google_custom_params=I);!w&&x(G.T)&&(N.google_gtag_event_data={items:x(G.T),value:x(G.ca)});if(w&&"purchase"==p){x(G.Nb)&&(N.google_conversion_merchant_id=x(G.Nb),N.google_basket_feed_country=x(G.dd),N.google_basket_feed_language=x(G.ed),N.google_basket_discount=x(G.cd),N.google_basket_transaction_type=p,N.google_disable_merchant_reported_conversions=
!0===x(G.gd),Oe()&&(N.google_disable_merchant_reported_conversions=!0));var J=k(x(G.T));J&&(N.google_conversion_items=J)}var O=function(X,U){void 0!=U&&""!==U&&(N.google_additional_conversion_params=N.google_additional_conversion_params||{},N.google_additional_conversion_params[X]=U)};w&&("boolean"==typeof x(G.Ub)&&O("vdnc",x(G.Ub)),O("vdltv",x(G.fd)));var R=!0;
R&&b.push(N)}g()};Y.__gtagaw=l;Y.__gtagaw.g="gtagaw";Y.__gtagaw.h=!0;Y.__gtagaw.b=0}();


Y.a.get=["google"],function(){function a(b,c){ra(c,function(e){"_"===e.charAt(0)&&delete c[e]});var d=c[G.nb]||{};ra(d,function(e){"_"===e.charAt(0)&&delete d[e]})}(function(b){Y.__get=b;Y.__get.g="get";Y.__get.h=!0;Y.__get.b=0})(function(b){if(b.vtp_isAutoTag){for(var c=String(b.vtp_trackingId),d=Fc||"",e={},g=G.md,h=0;h<g.length;h++){var k=qd(g[h],c);void 0!==k&&(e[g[h]]=k)}var l=qd(G.cb,c);if(ka(l))for(var m=0;m<l.length;m++){var n=l[m],p=qd(n,c);void 0!==p&&(e[n]=p)}else{var t=Gh("eventModel");
Ha(t,e)}if("_"===d.charAt(0))return;a(d,e);pj(c,d,Ha(e))}else{var q=b.vtp_settings,r=q.eventParameters,w=q.userProperties;Ha(bi(b.vtp_eventParameters,"name","value"),r);Ha(bi(b.vtp_userProperties,"name","value"),w);r[G.nb]=w;var v=String(b.vtp_eventName),y=b.vtp_allowSystemNames;if(!y&&"_"===v.charAt(0))return;y||a(v,r);(b.vtp_deferrable?qj:pj)(String(q.streamId),v,r)}b.vtp_gtmOnSuccess()})}();



Y.a.gtagfl=[],function(){function a(e){var g=/^DC-(\d+)(\/([\w-]+)\/([\w-]+)\+(\w+))?$/.exec(e);if(g){var h={standard:2,unique:3,per_session:4,transactions:5,items_sold:6,"":1}[(g[5]||"").toLowerCase()];if(h)return{containerId:"DC-"+g[1],ae:g[3]?e:"",Ke:g[1],Je:g[3]||"",Ma:g[4]||"",M:h}}}function b(e,g){function h(t,q,r){void 0!==r&&0!==(r+"").length&&k.push(t+q+":"+e(r+""))}var k=[],l=g(G.T)||[];if(ka(l))for(var m=0;m<l.length;m++){var n=l[m],p=m+1;h("i",p,n.id);h("p",p,n.price);h("q",p,n.quantity);
h("c",p,g(G.je));h("l",p,g(G.Ga))}return k.join("|")}function c(e,g,h){var k=/^u([1-9]\d?|100)$/,l=e(G.ke)||{},m=rd(g,h),n={},p={};if(Ga(l))for(var t in l)if(l.hasOwnProperty(t)&&k.test(t)){var q=l[t];ia(q)&&(n[t]=q)}for(var r=0;r<m.length;r++){var w=m[r];k.test(w)&&(n[w]=w)}for(var v in n)n.hasOwnProperty(v)&&(p[v]=e(n[v]));return p}var d=["aw","dc"];(function(e){Y.__gtagfl=e;Y.__gtagfl.g="gtagfl";Y.__gtagfl.h=!0;Y.__gtagfl.b=0})(function(e){var g=e.vtp_gtmOnSuccess,h=e.vtp_gtmOnFailure,k=a(e.vtp_targetId);
if(k){var l=function(V){return nd(V,k.containerId,k.ae||void 0)},m=!1!==l(G.Fa),n=l(G.Ea)||l(G.F),p=l(G.N),t=l(G.U),q=l(G.ne),r=3===Kc();if(Fc===G.aa){var w=l(G.Ha)||{},v=l(G.ie),y=void 0===v?!0:!!v;m&&(Bg(w[G.gb],!!w[G.H])&&Lh(d,n,void 0,p,t),Kh(n,void 0,p,t),Vg(y,n,void 0,p,t));w[G.H]&&Mh(d,w[G.H],w[G.ib],!!w[G.hb],n);if(q&&q.exclusion_parameters&&q.engines){Rh(q,r,m,n,p,t);}z(g)}else{var x={},A=l(G.me);
if(Ga(A))for(var B in A)if(A.hasOwnProperty(B)){var C=A[B];void 0!==C&&null!==C&&(x[B]=C)}var E="";if(5===k.M||6===k.M)E=b(M,l);var F=c(l,k.containerId,k.ae),Q=!0===l(G.de);if(Oe()&&Q){Q=!1}var W={Ma:k.Ma,ic:m,nf:p,pf:t,va:n,vb:l(G.ca),M:k.M,sf:x,kc:k.Ke,nc:k.Je,O:h,J:g,Db:Eh(Ch()),Ec:E,protocol:r?"http:":"https:",Ic:l(G.ye),Fb:Q,sessionId:l(G.mb),Jb:void 0,transactionId:l(G.Ja),Kb:void 0,Rc:F,Qe:!1!==l(G.S)};ch(W)}}else z(h)})}();


Y.a.gtaggf=["google"],function(){var a=/.*\.google\.com(:\d+)?\/booking\/flights.*/,b=function(c){if(c){for(var d=[],e=0,g=0;g<c.length;++g){var h=c[g];!h||void 0!==h.category&&""!==h.category&&"FlightSegment"!==h.category||(d[e]={cabin:h.travel_class,fare_product:h.fare_product,booking_code:h.booking_code,flight_number:h.flight_number,origin:h.origin,destination:h.destination,departure_date:h.start_date},e++)}return d}};(function(c){Y.__gtaggf=c;Y.__gtaggf.g="gtaggf";Y.__gtaggf.h=!0;Y.__gtaggf.b=
0})(function(c){var d=Fc,e=c.vtp_gtmOnSuccess,g=c.vtp_gtmOnFailure,h=c.vtp_conversionId,k=h.da[0],l=h.containerId,m=function(x){return nd(x,l,h.id)},n=!1!==m(G.Fa),p=m(G.Ea)||m(G.F),t=m(G.N),q=m(G.U);if(d===G.aa)n&&Kh(p,void 0,t,q),z(e);else{var r={conversion_id:k,onFailure:g,onSuccess:e,conversionLinkerEnabled:n,cookiePrefix:p};if("purchase"===d){var w=a.test(Ch()),v={partner_id:k,trip_type:m(G.Be),total_price:m(G.ca),currency:m(G.na),is_direct_booking:w,flight_segment:b(m(G.T))},y=m(G.xe);y&&"object"===
typeof y&&(v.passengers_total=y.total,v.passengers_adult=y.adult,v.passengers_child=y.child,v.passengers_infant_in_seat=y.infant_in_seat,v.passengers_infant_in_lap=y.infant_in_lap);r.conversion_data=v}eh(r)}})}();


Y.a.gtagua=["google"],function(){var a,b={client_id:1,client_storage:"storage",cookie_name:1,cookie_domain:1,cookie_expires:1,cookie_path:1,cookie_update:1,sample_rate:1,site_speed_sample_rate:1,use_amp_client_id:1,store_gac:1,conversion_linker:"storeGac"},c={anonymize_ip:1,app_id:1,app_installer_id:1,app_name:1,app_version:1,campaign:{name:"campaignName",source:"campaignSource",medium:"campaignMedium",term:"campaignTerm",content:"campaignContent",id:"campaignId"},currency:"currencyCode",description:"exDescription",
fatal:"exFatal",language:1,non_interaction:1,page_hostname:"hostname",page_referrer:"referrer",page_path:"page",page_location:"location",page_title:"title",screen_name:1,transport_type:"transport",user_id:1},d={content_id:1,event_category:1,event_action:1,event_label:1,link_attribution:1,linker:1,method:1,name:1,send_page_view:1,value:1},e={cookie_name:1,cookie_expires:"duration",levels:1},g={anonymize_ip:1,fatal:1,non_interaction:1,use_amp_client_id:1,send_page_view:1,store_gac:1,conversion_linker:1},
h=function(r,w,v,y){if(void 0!==v)if(g[w]&&(v=ta(v)),"anonymize_ip"!=w||v||(v=void 0),1===r)y[k(w)]=v;else if(ia(r))y[r]=v;else for(var x in r)r.hasOwnProperty(x)&&void 0!==v[x]&&(y[r[x]]=v[x])},k=function(r){return r&&ia(r)?r.replace(/(_[a-z])/g,function(w){return w[1].toUpperCase()}):r},l=function(r,w,v){r.hasOwnProperty(w)||(r[w]=v)},m=function(r,w,v){var y={},x={},A={},B;var C=qd(G.ue,r);if(ka(C)){for(var E=[],F=0;F<C.length;F++){var Q=C[F];if(void 0!=Q){var W=Q.id,V=Q.variant;void 0!=W&&void 0!=
V&&E.push(String(W)+"."+String(V))}}B=0<E.length?E.join("!"):void 0}else B=void 0;var S=B;S&&l(x,"exp",S);var P=qd("custom_map",r);if(Ga(P))for(var N in P)if(P.hasOwnProperty(N)&&/^(dimension|metric)\d+$/.test(N)&&void 0!=P[N]){var I=qd(String(P[N]),r);void 0!==I&&l(x,N,I)}for(var J=rd(r),O=0;O<J.length;++O){var R=J[O],X=qd(R,r);d.hasOwnProperty(R)?h(d[R],R,X,y):c.hasOwnProperty(R)?h(c[R],R,X,x):b.hasOwnProperty(R)?h(b[R],R,X,A):/^(dimension|metric|content_group)\d+$/.test(R)?h(1,R,X,x):R===G.F&&
0>la(J,G.ab)&&(A.cookieName=X+"_ga")}var U=String(Fc);l(A,"cookieDomain","auto");l(x,"forceSSL",!0);var da="general";0<=la("add_payment_info add_to_cart add_to_wishlist begin_checkout checkout_progress purchase refund remove_from_cart set_checkout_option".split(" "),U)?da="ecommerce":0<=la("generate_lead login search select_content share sign_up view_item view_item_list view_promotion view_search_results".split(" "),U)?da="engagement":"exception"==U&&(da="error");l(y,"eventCategory",da);0<=la(["view_item",
"view_item_list","view_promotion","view_search_results"],U)&&l(x,"nonInteraction",!0);"login"==U||"sign_up"==U||"share"==U?l(y,"eventLabel",qd(G.ve,r)):"search"==U||"view_search_results"==U?l(y,"eventLabel",qd(G.ze,r)):"select_content"==U&&l(y,"eventLabel",qd(G.he,r));var T=y[G.Ha]||{},L=T[G.gb];L||0!=L&&T[G.H]?A.allowLinker=!0:!1===L&&l(A,"useAmpClientId",!1);if(!1===qd(G.ee,r)||!1===qd(G.S,r))x.allowAdFeatures=!1;A.name=w;x["&gtm"]=Zg(!0);x.hitCallback=v;y.X=x;y.jc=A;return y},n=function(r){function w(I){var J=
Ha(I);J.list=I.list_name;J.listPosition=I.list_position;J.position=I.list_position||I.creative_slot;J.creative=I.creative_name;return J}function v(I){for(var J=[],O=0;I&&O<I.length;O++)I[O]&&J.push(w(I[O]));return J.length?J:void 0}function y(I){return{id:A(x.Ja),affiliation:A(x.oe),revenue:A(x.ca),tax:A(x.te),shipping:A(x.se),coupon:A(x.pe),list:A(x.Ob)||I}}for(var x=G,A=function(I){return nd(I,r,void 0)},B=A(x.T),C,E=0;B&&E<B.length&&!(C=B[E][x.Ob]);E++);var F=A("custom_map");if(Ga(F))for(var Q=
0;B&&Q<B.length;++Q){var W=B[Q],V;for(V in F)F.hasOwnProperty(V)&&/^(dimension|metric)\d+$/.test(V)&&void 0!=F[V]&&l(W,V,W[F[V]])}var S=null,P=Fc,N=A(x.qe);"purchase"==P||"refund"==P?S={action:P,La:y(),Aa:v(B)}:"add_to_cart"==P?S={action:"add",Aa:v(B)}:"remove_from_cart"==P?S={action:"remove",Aa:v(B)}:"view_item"==P?S={action:"detail",La:y(C),Aa:v(B)}:"view_item_list"==P?S={action:"impressions",Mf:v(B)}:"view_promotion"==P?S={action:"promo_view",Fc:v(N)}:"select_content"==P&&N&&0<N.length?S={action:"promo_click",
Fc:v(N)}:"select_content"==P?S={action:"click",La:{list:A(x.Ob)||C},Aa:v(B)}:"begin_checkout"==P||"checkout_progress"==P?S={action:"checkout",Aa:v(B),La:{step:"begin_checkout"==P?1:A(x.jd),option:A(x.hd)}}:"set_checkout_option"==P&&(S={action:"checkout_option",La:{step:A(x.jd),option:A(x.hd)}});S&&(S.Kg=A(x.na));return S},p={},t=function(r,w){var v=p[r];p[r]=Ha(w);if(!v)return!1;for(var y in w)if(w.hasOwnProperty(y)&&w[y]!==v[y])return!0;for(var x in v)if(v.hasOwnProperty(x)&&v[x]!==w[x])return!0;
return!1},q=function(r){var w=r.vtp_trackingId,v="https://www.google-analytics.com/analytics.js",y=Zd();if(ha(y)){var x="gtag_"+w.split("-").join("_"),A=function(P){var N=[].slice.call(arguments,0);N[0]=x+"."+N[0];y.apply(window,N)},B=function(){var P=function(O,R){for(var X=0;R&&X<R.length;X++)A(O,R[X])},N=n(w);if(N){var I=N.action;if("impressions"==I)P("ec:addImpression",N.Mf);else if("promo_click"==I||"promo_view"==I){var J=N.Fc;P("ec:addPromo",N.Fc);J&&0<J.length&&"promo_click"==I&&A("ec:setAction",
I)}else P("ec:addProduct",N.Aa),A("ec:setAction",I,N.La)}},C=function(){if(Oe()){}else{var P=qd(G.we,w);P&&(A("require",P,{dataLayer:"dataLayer"}),A("require","render"))}},E=function(){if(Oe()){}else{var P=qd(G.Xb,w),N=qd(G.Wb,w),I=qd(G.Vb,w),J;J=ka(P)?P:[P];for(var O=0;O<J.length;O++)5>
O&&de(w,J[O],{Bd:I||N});}},F=m(w,x,r.vtp_gtmOnSuccess);(function(){})();t(x,F.jc)&&y(function(){Xd()&&Xd().remove(x)});y("create",w,F.jc);(function(){var P=qd("custom_map",w);y(function(){if(Ga(P)){var N=F.X,I=Xd().getByName(x),J;for(J in P)if(P.hasOwnProperty(J)&&/^(dimension|metric)\d+$/.test(J)&&void 0!=P[J]){var O=I.get(k(P[J]));
l(N,J,O)}}})})();(function(P){if(P){var N={};if(Ga(P))for(var I in e)e.hasOwnProperty(I)&&h(e[I],I,P[I],N);A("require","linkid",N)}})(F.linkAttribution);var Q=F[G.Ha];if(Q&&Q[G.H]){var W=Q[G.ib];$d(x+".",Q[G.H],void 0===W?!!Q.use_anchor:"fragment"===W,!!Q[G.hb])}var V=function(P,N,I){I&&(N=""+N);F.X[P]=N},S=Fc;S==G.Mb?(C(),A("send","pageview",F.X)):S==G.aa?(C(),E(),0!=F.sendPageView&&A("send","pageview",F.X)):"screen_view"==S?A("send","screenview",F.X):"timing_complete"==S?(V("timingCategory",F.eventCategory,
!0),V("timingVar",F.name,!0),V("timingValue",sa(F.value)),void 0!==F.eventLabel&&V("timingLabel",F.eventLabel,!0),A("send","timing",F.X)):"exception"==S?A("send","exception",F.X):"optimize.callback"!=S&&(0<=la("view_item_list select_content view_item add_to_cart remove_from_cart begin_checkout set_checkout_option purchase refund view_promotion checkout_progress".split(" "),S)&&(A("require","ec","ec.js"),B()),V("eventCategory",F.eventCategory,!0),V("eventAction",F.eventAction||S,!0),void 0!==F.eventLabel&&
V("eventLabel",F.eventLabel,!0),void 0!==F.value&&V("eventValue",sa(F.value)),A("send","event",F.X));a||(a=!0,Sd(),H(v,function(){Xd().loaded||r.vtp_gtmOnFailure()},r.vtp_gtmOnFailure))}else z(r.vtp_gtmOnFailure)};Y.__gtagua=q;Y.__gtagua.g="gtagua";Y.__gtagua.h=!0;Y.__gtagua.b=0}();

var tj={};tj.macro=function(a){if(Jf.ac.hasOwnProperty(a))return Jf.ac[a]},tj.onHtmlSuccess=Jf.wd(!0),tj.onHtmlFailure=Jf.wd(!1);tj.dataLayer=md;tj.callback=function(a){Hc.hasOwnProperty(a)&&ha(Hc[a])&&Hc[a]();delete Hc[a]};tj.Ze=function(){zc[yc.m]=tj;za(Ic,Y.a);Wb=Wb||Jf;Xb=Bd};
tj.Nf=function(){zc=f.google_tag_manager=f.google_tag_manager||{};if(zc[yc.m]){var a=zc.zones;a&&a.unregisterChild(yc.m)}else{for(var b=data.resource||{},c=b.macros||[],d=0;d<c.length;d++)Pb.push(c[d]);for(var e=b.tags||[],g=0;g<e.length;g++)Sb.push(e[g]);for(var h=b.predicates||[],
k=0;k<h.length;k++)Rb.push(h[k]);for(var l=b.rules||[],m=0;m<l.length;m++){for(var n=l[m],p={},t=0;t<n.length;t++)p[n[t][0]]=Array.prototype.slice.call(n[t],1);Qb.push(p)}Ub=Y;Vb=Vh;tj.Ze();gf();Ed=!1;Fd=0;if("interactive"==u.readyState&&!u.createEventObject||"complete"==u.readyState)Hd();else{Ua(u,"DOMContentLoaded",Hd);Ua(u,"readystatechange",Hd);if(u.createEventObject&&u.documentElement.doScroll){var q=!0;try{q=!f.frameElement}catch(y){}q&&Id()}Ua(f,"load",Hd)}Ve=!1;"complete"===u.readyState?Xe():
Ua(f,"load",Xe);a:{if(!bd)break a;f.setInterval(cd,864E5);}
Ec=(new Date).getTime();}};(0,tj.Nf)();

})()
